=== modified file 'NEWS'
--- NEWS	2008-06-06 18:04:45 +0000
+++ NEWS	2008-06-29 18:31:29 +0000
@@ -10,6 +10,8 @@
   
   * Fixed adding tags. (Javier Derderian, #228709)
 
+  * Avoid use of removed smart_add. (Jelmer Vernooij, #244025)
+
  INTERNALS
 
   * All i18n calls should now go through _i18n which must be imported from

=== modified file 'olive/menu.py'
--- olive/menu.py	2008-05-05 18:18:08 +0000
+++ olive/menu.py	2008-06-29 18:31:29 +0000
@@ -179,7 +179,8 @@
                          _i18n('Please select a file from the list,\nor choose the other option.'))
             return
         
-        bzrlib.add.smart_add([os.path.join(directory, filename)])
+        wt, path = WorkingTree.open_containing(os.path.join(directory, filename))
+        wt.add([path])
     
     @show_bzr_error
     def annotate(self, action):

=== modified file 'revisionview.py'
--- revisionview.py	2008-06-29 19:18:34 +0000
+++ revisionview.py	2008-06-24 10:34:38 +0000
@@ -22,11 +22,9 @@
 import gobject
 import webbrowser
 
+from bzrlib.plugins.gtk import icon_path
 from bzrlib.osutils import format_date
 from bzrlib.util.bencode import bdecode
-from bzrlib.testament import Testament
-
-from bzrlib.plugins.gtk import icon_path
 
 try:
     from bzrlib.plugins.gtk import seahorse
@@ -222,17 +220,7 @@
                                         "This revision has not been signed.")
 
     def show_signature(self, crypttext):
-        (cleartext, key) = seahorse.verify(crypttext)
-
-        assert cleartext is not None
-
-        inv = self.repository.get_inventory(self.revision.revision_id)
-        expected_testament = Testament(self.revision, inv).as_short_text()
-        if expected_testament != cleartext:
-            self.signature_image.set_from_file(icon_path("sign-bad.png"))
-            self.signature_label.set_markup("<b>Signature does not match repository data</b>\n" +
-                        "The signature plaintext is different from the expected testament plaintext.")
-            return
+        key = seahorse.verify(crypttext)
 
         if key and key.is_available():
             if key.is_trusted():
@@ -334,8 +322,8 @@
         self._create_general()
         self._create_relations()
         # Disabled because testaments aren't verified yet:
-        if has_seahorse:
-            self._create_signature()
+        # if has_seahorse:
+        #    self._create_signature()
         self._create_file_info_view()
         self._create_bugs()
 

=== modified file 'seahorse.py'
--- seahorse.py	2008-06-29 19:07:23 +0000
+++ seahorse.py	2008-06-20 03:33:17 +0000
@@ -85,10 +85,7 @@
         if key not in keyset:
             keyset[key] = Key(key)
 
-        return (cleartext, keyset[key])
-
-    return (cleartext, None)
-
+        return keyset[key]
 
 class Key:
 

